-- Simple script to show the player identifiers in the F8 console (or in CitizenFX.log file inside "FiveM Application Data" folder) when pressing F5.
-- Example output: https://www.vespura.com/hi/i/2018-07-03_11-58_%25pn_f207b09823fa2ff3cd.png

local ids = {}
if (IsDuplicityVersion()) then
    RegisterServerEvent(GetCurrentResourceName() .. ":GetIdentifiers")
    AddEventHandler(GetCurrentResourceName() .. ":GetIdentifiers", function()
        ids = GetPlayerIdentifiers(source)
        TriggerClientEvent(GetCurrentResourceName() .. ":SetIdentifiers", source, ids)
    end)
else
    RegisterNetEvent(GetCurrentResourceName() .. ":SetIdentifiers")
    AddEventHandler(GetCurrentResourceName() .. ":SetIdentifiers", function(identifiers)
        ids = identifiers
    end)
    Citizen.CreateThread(function()
        Citizen.Wait(1000)
        TriggerServerEvent(GetCurrentResourceName() .. ":GetIdentifiers")
        while true do
            Citizen.Wait(0)
            if (IsControlJustReleased(0, 166) or IsDisabledControlJustReleased(0, 166)) then -- F5 by default (INPUT_SELECT_CHARACTER_MICHAEL)
                for num,id in ipairs(ids) do
                    Citizen.Trace("ID: #" .. num .. "\t\t" .. id .. "\n\r")
                end
            end
        end
    end)
end

